Debian Bug report logs - #88008
update-catalog should change its name

version graph

Package: sgml-base; Maintainer for sgml-base is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for sgml-base is src:sgml-base.

Reported by: Wichert Akkerman <wichert@cistron.nl>

Date: Wed, 28 Feb 2001 17:33:02 UTC

Severity: normal

Found in versions 1.99.0+rm, 1.07

Fixed in version sgml-base/1.99.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>:
Bug#88008; Package sgml-base. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@cistron.nl>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@cistron.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: update-catalog should change its name
Date: Wed, 28 Feb 2001 18:21:04 +0100
Package: sgml-base
Version: 1.07
Severity: normal

The name `update-catalog' is not very clear and will likely conflict
with other scripts. Please rename it to update-sgml-catalog.

Wichert.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux fog 2.2.18ext3 #1 Tue Feb 13 01:36:06 CET 2001 i686

Versions of packages sgml-base depends on:
ii  perl [perl5]                  5.6.0-20   Larry Wall's Practical Extracting 
ii  sed                           3.02-6     The GNU sed stream editor.        




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#88008; Package sgml-base. Full text and rfc822 format available.

Acknowledgement sent to Ardo van Rangelrooij <ardo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 88008@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: Wichert Akkerman <wichert@cistron.nl>, 88008@bugs.debian.org
Subject: Re: Bug#88008: update-catalog should change its name
Date: Thu, 1 Mar 2001 20:29:40 -0600
Hi,

Will do.

Thanks,
Ardo

Wichert Akkerman (wichert@cistron.nl) wrote:
> Package: sgml-base
> Version: 1.07
> Severity: normal
> 
> The name `update-catalog' is not very clear and will likely conflict
> with other scripts. Please rename it to update-sgml-catalog.
> 
> Wichert.
-- 
Ardo van Rangelrooij
home email: ardo@debian.org
home page:  http://people.debian.org/~ardo
PGP fp:     3B 1F 21 72 00 5C 3A 73  7F 72 DF D9 90 78 47 F9



Tags added: pending Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 02 Sep 2008 18:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#88008; Package sgml-base. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 88008@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 88008@bugs.debian.org, 88008-submitter@bugs.debian.org
Cc: Ardo van Rangelrooij <ardo@debian.org>
Subject: Bug#88008: update-catalog should change its name
Date: Tue, 02 Sep 2008 20:45:19 +0200
I changed the update-catalog command to be called update-sgmlcatalog. A
quick search revealed, that this name should not conflict with any other
tool.

For the moment I use to create a symlink

update-catalog -> update-sgmlcatalog

to not break any postinsts, ... But I added a short function, which
should issue a warning, if the symlink is called (it will not error
out). This should give us the possibility to make a smooth transition
for lenny+1.

Changes are in SVN, so you can check them.
http://svn.debian.org/wsvn/debian-xml-sgml/packages/sgml-base/branches/experimental/?rev=0&sc=0

Regards, Daniel





Message sent on to Wichert Akkerman <wichert@cistron.nl>:
Bug#88008. Full text and rfc822 format available.

Reply sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
You have taken responsibility. (Sun, 12 Jul 2009 16:12:07 GMT) Full text and rfc822 format available.

Notification sent to Wichert Akkerman <wichert@cistron.nl>:
Bug acknowledged by developer. (Sun, 12 Jul 2009 16:12:07 GMT) Full text and rfc822 format available.

Message #25 received at 88008-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
To: 88008-close@bugs.debian.org
Subject: Bug#88008: fixed in sgml-base 1.99.0
Date: Sun, 12 Jul 2009 15:35:43 +0000
Source: sgml-base
Source-Version: 1.99.0

We believe that the bug you reported is fixed in the latest version of
sgml-base, which is due to be installed in the Debian FTP archive:

sgml-base_1.99.0.dsc
  to pool/main/s/sgml-base/sgml-base_1.99.0.dsc
sgml-base_1.99.0.tar.gz
  to pool/main/s/sgml-base/sgml-base_1.99.0.tar.gz
sgml-base_1.99.0_all.deb
  to pool/main/s/sgml-base/sgml-base_1.99.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 88008@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert (dale) <daniel.leidert@wgdd.de> (supplier of updated sgml-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 12 Jul 2009 16:51:40 +0200
Source: sgml-base
Binary: sgml-base
Architecture: source all
Version: 1.99.0
Distribution: experimental
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Description: 
 sgml-base  - SGML infrastructure and SGML catalog file support
Closes: 88008 391609 535992
Changes: 
 sgml-base (1.99.0) experimental; urgency=low
 .
   * Makefile: Dropped build system. debian/rules and debhelper are enough.
   * MAKE/include: Ditto.
   * tools/Makefile: Ditto.
   * tools/catalog.centralized: Moved to catalogs/. Fixed comment to point to
     update-sgmlcatalog.
   * tools/catalog.super: Likewise.
   * tools/transitional.cat: Likewise.
   * tools/install-sgmlcatalog: Use POD to document the script.
   * tools/update-catalog: Documented with POD. Renamed to
     tools/update-sgmlcatalog (closes: #88008). Further changes:
     - Enable Perl warnings.
     - If called as update-catalog (compatibility), print a warning.
     - Do not exit with an error using --help/--version (closes: #391609).
     - Fixed --version to print the version and not the help.
   * tools/install-sgmlcatalog.8: Removed. Manual pages are now created during
     build process from the POD documentation.
   * tools/update-catalog.8: Ditto.
 .
   * debian/compat: Increased debhelper compatibility level to 6.
   * debian/control: Added Vcs*, Homepage and DM-Upload-Allowed fields.
     (Uploaders): Added myself.
     (Build-Depends-Indep): Moved debhelper to Build-Depends and increased
     dependency to have dh_lintian available.
     (Build-Depends): Added perl for pod2man.
     (Standards-Version): Bumped to 3.8.2.
     (Description): Fixed paths mentioned.
   * debian/copyright: Updated a bit.
   * debian/rules: Rewritten in parts. Added target for manual pages.
   * debian/sgml-base.dirs: Added to create necessary directories (closes:
     #535992).
   * debian/sgml-base.install: Everything is installed from here.
   * debian/sgml-base.links: Added compatibility links to provide
     update-catalog for the moment to not break existing systems.
   * debian/sgml-base.lintian-overrides: Added to override for intentional
     package-contains-empty-directory warning.
   * debian/sgml-base.preinst: Dropped. Directories are created by
     dh_installdirs.
   * debian/sgml-base.postinst: update-catalog -> update-sgmlcatalog change.
   * debian/sgml-base.prerm: Ditto.
   * examples/postinst: Ditto.
   * examples/prerm: Ditto.
Checksums-Sha1: 
 190f7ae710ca82e9e29750344c7955486a831cdd 1092 sgml-base_1.99.0.dsc
 f48f0b73237e0dcab66c7a373cf42960211520c9 10325 sgml-base_1.99.0.tar.gz
 7773abb5d51d6371424f2f74482a1279c86177c8 16670 sgml-base_1.99.0_all.deb
Checksums-Sha256: 
 65f70bdbadbef0c8f24bad304b3f3074f213b4413b234ab79283f9ede50f7cea 1092 sgml-base_1.99.0.dsc
 3e9e67119ff56c6e2dd6e9f3c9a5e303f383d0b604b9913aef8afa1320d788ed 10325 sgml-base_1.99.0.tar.gz
 0f4c83cee7f2e14c28aaf383edf6a12e82c449ddb8219168e560dc6aca716784 16670 sgml-base_1.99.0_all.deb
Files: 
 c880d00400e9ce5eee1e4ea17ee8e76b 1092 text optional sgml-base_1.99.0.dsc
 52d84c843e4cf4788c35c019f4d38cf3 10325 text optional sgml-base_1.99.0.tar.gz
 54ce8c717f17263357c461861be3799f 16670 text optional sgml-base_1.99.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKWfw0mHaJYZ7RAb8RA4ZVAJ95KILHvAiziDO6o+3vxEZkf2o5IACfSgqP
Bf1AFiemCG3f+aISr3f7FAU=
=Jdfo
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#88008; Package sgml-base. (Fri, 25 Mar 2011 00:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Fri, 25 Mar 2011 00:45:06 GMT) Full text and rfc822 format available.

Message #30 received at 88008@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Daniel Leidert <daniel.leidert@wgdd.de>
Cc: 615934@bugs.debian.org, 88008@bugs.debian.org
Subject: Re: dh_installcatalogs: use update-sgmlcatalog in maintainer scripts if available
Date: Thu, 24 Mar 2011 19:43:31 -0500
Daniel Leidert wrote:

> Hm. I'm sure, I commented your last mail. But it seems, I don't even
> have a copy of my answer. Sorry for that. So in short:

Thanks. :)

[...]
> (2) The idea of the transition is simple: No maintainer needs to change
> anything manually. By introducing the change to create snippets calling
> update-sgmlcatalog the required version of sgml-base in the resulting
> packages is just bumped. The old name would stay (as a link) for at
> least next stable+1 but create a warning. IMO this is legal. I saw this
> for several other tools. The warning wouldn't require any action.

Sure, there is no law against this.  Perhaps the warning could be
suppressed with --remove, so normal upgrades would not see it?

This would also require a bump in $sgmlbasever.  I suppose that's
fine.  I can send patches to sgml-base and debhelper along these lines
if you'd like.

> The
> next build/ upload of the affected package would fix the situation
> automatically. Of course one could do a mass binary-nmu, but by waiting
> for next-stable+1 before removing the command, the amount of packages
> requiring such an action would be minimal.

I like the idea of a compatibility command (for non-Debian packages
and for release team sanity) but also think a mass binary-nmu would be
a good idea.

Thanks again.  I've always been pretty happy with how SGML and XML
support (and especially docbook) are packaged in Debian.

Regards,
Jonathan




Marked as found in versions 1.99.0+rm and reopened. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 05:57:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:08:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.